/*
 * Clases para manejar eventos en SDL2
 * SDL_PollEvent
 */
#ifndef _SDL_EVENT
#define _SDL_EVENT

#include <SDL.h>

namespace sdl {

class Event {
protected:
    SDL_Event event;

public:
	Event() { memset(static_cast<void*>(&event), 0, sizeof(SDL_Event)); }
	bool Poll() { return SDL_PollEvent(&event); }
	Uint32 Type() { return event.type; }
	operator SDL_Event&() { return event; }
	SDL_KeyboardEvent &Key() { return event.key; }
	SDL_MouseButtonEvent &Button() { return event.button; }
};

}; // namespace

#endif // _SDL_EVENT
