/*
 * Clases para manejar librera SDL2
 * Mix_Init
 * Mix_OpenAudio
 * Mix_CloseAudio
 * Mix_Quit
 */

#ifndef _SDL_MIXER
#define _SDL_MIXER

#include <SDL.h>
#include <SDL_mixer.h>
#include "sdl_music.h"
#include "sdl_chunk.h"

namespace sdl {

class Mixer {
public:
    Mixer(int flags=0, int frequency=44100, Uint16 format= MIX_DEFAULT_FORMAT, int channels=2, int chunksize=2048) {
        Mix_Init(flags);
        Mix_OpenAudio(frequency, format, channels, chunksize);
    }
    ~Mixer() {
        Mix_CloseAudio();
        Mix_Quit();
    }
    void Pausa(int on) {
        Mix_PauseAudio(on);
    }
};

} // namespace

#endif // _SDL_MIXER
