/*
 * Clases para manejar librería SDL2
 * SDL_Init
 * SDL_Quit
 */
#include <SDL.h>
#include <SDL_ttf.h>
/** \brief
 * Espacio con nombre para el wrapper de SDL2.
 *
 */
namespace sdl {

/** \brief
 * La clase SDL2 contiene los métodos y datos para iniciar y liberar
 * los recursos necesarios para utilizar las librerías SDL2.
 *
 */

class SDL2 {
protected:
    bool valid = true; /**< Indica si las librerías han podido ser iniciadas correctamente.  */

public:
/** \brief
 * Constructor.
 * \param flags Banderas de inicialización de la librería SDL2. El valor por defecto es SDL_INIT_EVERYTHING.
 * \param initTTF indica si se debe inicializar la librería TTF.
 *
 */
    SDL2(Uint32 flags=SDL_INIT_EVERYTHING) {
        valid = (SDL_Init(flags) == 0);
    }
/** \brief
 * Destructor.
 *
 */
    ~SDL2() {
        if(valid) SDL_Quit();
    }
};
} // namespace
